package com.njcn.advance.service.carrycapacity;

import com.njcn.advance.pojo.carrycapacity.param.CarryCapacityCalParam;
import com.njcn.advance.pojo.carrycapacity.param.CarryCapacityEvaluateParam;
import com.njcn.advance.pojo.carrycapacity.param.CarryCapacityQueryDataParam;
import com.njcn.advance.pojo.carrycapacity.param.ExcelDataParam;
import com.njcn.advance.pojo.carrycapacity.vo.*;
import com.njcn.device.pq.pojo.vo.TerminalTree;

import java.util.List;

/**
 * Description:
 * Date: 2024/1/31  14:40【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface CarryCapacityService {


    CarryCapacityDataVO queryCarryCapacityData(CarryCapacityQueryDataParam queryParam);

    CarryCapacityDataQVO queryCarryCapacityqData(CarryCapacityQueryDataParam queryParam);

    CarryCapacityDataIVO queryCarryCapacityiData(CarryCapacityQueryDataParam queryParam);

    CarryCapacityDResultVO carryCapacityCal(CarryCapacityCalParam calParam);

    List<TerminalTree> carryCapacityTree();

    boolean uploadExcel(ExcelDataParam excelDataParam) throws Exception;


    CarryCapacityDResultVO carryCapacityEvaluate(CarryCapacityEvaluateParam calParam);
}
